#!/usr/bin/python3
#PBS -e test.err
#PBS -o test.log
#PBS -l nodes=1
#PBS -l walltime=100:00:00
#PBS -m ae
# Job name:
#PBS -N Phys_Test_En_Cons_Vary_Cutoff
#PBS -r n

import os

if "PBS_O_WORKDIR" in os.environ:
    workingDir = os.environ["PBS_O_WORKDIR"]
    os.chdir(workingDir)
            
import sys
sys.path.insert(0,"../../../../Swig")
sys.path.insert(0,"../../../../Python")
sys.path.insert(0,"../../../../Tools")


import rumdSimulation, rumd, rumd_tools
# it is essential that there is no doubt about which version is actually run!
print "File used to import the rumd module",rumd.__file__
print "File used to import the rumdSimulation module",rumdSimulation.__file__
print "File used to import the rumd_tools module",rumd_tools.__file__

from rumdSimulation import rumdSimulation
import math
from Autotune import Autotuner

#sim = rumdSimulation("start.xyz.gz")
#sim = rumdSimulation("startN1024_0.8.xyz.gz")
sim = rumdSimulation("start_LJ512.xyz.gz")

itg = rumd.IntegratorNVE(timeStep = 0.005)

pot = rumd.Pot_LJ_12_6(cutoff_method=rumd.ShiftedForce)
Rcut = 2.5
# Kob-Andersen parameters
pot.SetParams(0,0,1.,1.,Rcut)
pot.SetParams(0,1,0.8,1.5,Rcut)
pot.SetParams(1,0,0.8,1.5,Rcut)
pot.SetParams(1,1,0.88,0.5,Rcut)
    
sim.SetPotential(pot)
sim.SetIntegrator(itg)


sim.SetOutputParameters("energies","linear",interval=100000)
sim.SetOutputParameters("trajectory","none")
sim.sample.GetEnergiesOutputManager().Set("v_com_x", True)

sim.sample.GetEnergiesMetaData().precision = 9
sim.SetMomentumResetInterval(0)


at = Autotuner()
at.Tune(sim)

sim.Run(500000000)
